org.eclipse.ease.debugging

## Class ScriptDebugTarget

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugTarget

All Implemented Interfaces:
  IAdaptable, IBreakpointListener, IDebugElement, IDebugTarget, IDisconnect, IMemoryBlockRetrieval, IStep, ISuspendResume, ITerminate, IEventProcessor

Direct Known Subclasses:
  RhinoDebugTarget

    public abstract class ScriptDebugTarget
    extends ScriptDebugElement
    implements IDebugTarget, IEventProcessor

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugTarget(ILaunch launch, boolean suspendOnStartup, boolean suspendOnScriptLoad, boolean showDynamicCode)`

### Method Summary

Methods
`void` `breakpointAdded(IBreakpoint breakpoint)`
`void` `breakpointChanged(IBreakpoint breakpoint, IMarkerDelta delta)`
`void` `breakpointRemoved(IBreakpoint breakpoint, IMarkerDelta delta)`
`void` `disconnect()`
`ScriptDebugTarget` `getDebugTarget()`
`ILaunch` `getLaunch()`
`IMemoryBlock` `getMemoryBlock(long startAddress, long length)`
`String` `getName()`
`IProcess` `getProcess()`
`ScriptDebugThread[]` `getThreads()`
`void` `handleEvent(IDebugEvent event)`
`boolean` `hasThreads()`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`
`void` `resume()`
`void` `setDispatcher(EventDispatchJob dispatcher)`
`boolean` `supportsBreakpoint(IBreakpoint breakpoint)`
`boolean` `supportsStorageRetrieval()`
`void` `terminate()`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, getModelIdentifier, isDisconnected, stepInto, stepOver, stepReturn, suspend`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getAdapter`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getModelIdentifier`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate`

### Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume

`canResume, canSuspend, suspend`

### Methods inherited from interface org.eclipse.debug.core.model.IDisconnect

`canDisconnect, isDisconnected`

### Constructor Detail

#### ScriptDebugTarget

    public ScriptDebugTarget(ILaunch launch,
                     boolean suspendOnStartup,
                     boolean suspendOnScriptLoad,
                     boolean showDynamicCode)

### Method Detail

#### getName

    public String getName()
                   throws DebugException

Specified by:
  `getName` in interface `IDebugTarget`
Throws:
  `DebugException`

#### getDebugTarget

    public ScriptDebugTarget getDebugTarget()

Specified by:
  `getDebugTarget` in interface `IDebugElement`
Overrides:
  `getDebugTarget` in class `ScriptDebugElement`

#### getLaunch

    public ILaunch getLaunch()

Specified by:
  `getLaunch` in interface `IDebugElement`
Overrides:
  `getLaunch` in class `DebugElement`

#### getProcess

    public IProcess getProcess()

Specified by:
  `getProcess` in interface `IDebugTarget`

#### getThreads

    public ScriptDebugThread[] getThreads()

Specified by:
  `getThreads` in interface `IDebugTarget`

#### hasThreads

    public boolean hasThreads()
                       throws DebugException

Specified by:
  `hasThreads` in interface `IDebugTarget`
Throws:
  `DebugException`

#### supportsBreakpoint

    public boolean supportsBreakpoint(IBreakpoint breakpoint)

Specified by:
  `supportsBreakpoint` in interface `IDebugTarget`

#### setDispatcher

    public void setDispatcher(EventDispatchJob dispatcher)

#### handleEvent

    public void handleEvent(IDebugEvent event)

Specified by:
  `handleEvent` in interface `IEventProcessor`

#### breakpointAdded

    public void breakpointAdded(IBreakpoint breakpoint)

Specified by:
  `breakpointAdded` in interface `IBreakpointListener`

#### breakpointRemoved

    public void breakpointRemoved(IBreakpoint breakpoint,
                         IMarkerDelta delta)

Specified by:
  `breakpointRemoved` in interface `IBreakpointListener`

#### breakpointChanged

    public void breakpointChanged(IBreakpoint breakpoint,
                         IMarkerDelta delta)

Specified by:
  `breakpointChanged` in interface `IBreakpointListener`

#### supportsStorageRetrieval

    public boolean supportsStorageRetrieval()

Specified by:
  `supportsStorageRetrieval` in interface `IMemoryBlockRetrieval`

#### getMemoryBlock

    public IMemoryBlock getMemoryBlock(long startAddress,
                              long length)
                                throws DebugException

Specified by:
  `getMemoryBlock` in interface `IMemoryBlockRetrieval`
Throws:
  `DebugException`

#### terminate

    public void terminate()
                   throws DebugException

Specified by:
  `terminate` in interface `ITerminate`
Overrides:
  `terminate` in class `ScriptDebugElement`
Throws:
  `DebugException`

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`

#### resume

    public void resume()
                throws DebugException

Specified by:
  `resume` in interface `ISuspendResume`
Overrides:
  `resume` in class `ScriptDebugElement`
Throws:
  `DebugException`

#### disconnect

    public void disconnect()
                    throws DebugException

Specified by:
  `disconnect` in interface `IDisconnect`
Overrides:
  `disconnect` in class `ScriptDebugElement`
Throws:
  `DebugException`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`